import React from "react";
import { ArrowLeftOutlined, LeftCircleFilled } from "@ant-design/icons";
import { Typography } from "antd";
import { useLocation, useNavigate } from "react-router-dom";
import useRoute from "@/routes/hooks/useRoute";

const titleStyle = {
  display: "flex",
  alignItems: "center",
  padding: "12px 0",
};
const IconStyle = {
  fontSize: "20px",
  color: "#333",
  padding: "0 0.5em",
  display: "inlineBlack",
  cursor: "pointer",
};

export default (props) => {
  const { children, back, navigateNum } = props;
  const navigate = useNavigate();
  const goBack = (e) => {
    e.preventDefault();
    e.stopPropagation();

    navigate(navigateNum);
  };
  return (
    <Typography.Title
      level={3}
      style={{ fontWeight: 400, flex: "none", margin: "0" }}
    >
      <div style={titleStyle}>
        {back ? (
          <LeftCircleFilled
            onClick={goBack}
            style={IconStyle}
            navigateNum={navigateNum}
          />
        ) : (
          ""
        )}
        {children}
      </div>
    </Typography.Title>
  );
};
